program CaseOfFigure;
type
   FigureKind = (Point, Circle, Rectangle);
   TFigure = record
      x, y: Real;
      case FigKind : FigureKind of
         Point: ();
         Circle: (radius: Real);
         Rectangle: (width, height: Real)
      end;
      function AsString (const fig : TFigure) : String;
      var sx, sy, sr, sw, sh : String;
      begin
         Str (fig.x:0:2, sx); Str (fig.y:0:2, sy);
         result := '(' + sx + ',' + sy + ')';
         case fig.FigKind of
            Point: ;
            Circle:
               begin
                  Str (fig.radius:0:2, sr);
                  result := result + 'circ(' + sr + ')';
               end;
            Rectangle:
               begin
                  Str (fig.width:0:2, sw); Str (fig.height:0:2, sh);
                  result := result + 'rect(' + sw + ',' + sh + ')';
               end
         end
      end;
         
var fig : TFigure = (x: 5; y: 5; FigKind: Circle; radius: 2);
begin
   WriteLn (AsString (fig));
end.