{Overlay an image with transparency over a background.}
program ImageAlphaSDL2;
uses SDL, SDL_image;
const
   BackgroundFile = 'background.bmp';
   BallFile = 'ball.bmp';
   pixX = 200; pixY = 200;
var
   screen, background, ball : PSDL_Surface;
   SrcRect, DstRect : SDL_Rect;
   
begin
   WriteLn ('Initializing SDL.');
   SDL_Init(SDL_INIT_VIDEO);
   background := IMG_Load (BackgroundFile);
   screen := SDL_SetVideoMode(background^.w, background^.h,
                              background^.format^.BitsPerPixel,
                              SDL_SWSURFACE);
   ball := IMG_Load (BallFile);
   SDL_BlitSurface(background, nil, screen, nil);
   with SrcRect do begin
      x := 0; y := 0; w := ball^.w; h := ball^.h
   end;
   with DstRect do begin
      x := pixX; y := pixY; w := pixX + ball^.w; h := pixY + ball^.h
   end;
   SDL_BlitSurface (ball, @SrcRect, screen, @DstRect);
   SDL_Flip (screen);
   
   ReadLn;
   SDL_FreeSurface(background);
   SDL_FreeSurface(ball);
   SDL_FreeSurface(screen);
   SDL_Quit
end.