{Ordered linked uni-directional list representation of sets.}
program OrderedIntList;
const
   data1 : array[0..9] of Integer = (2, 4, 5, 8, 11, 17, 21, 22, 31, 32);
   data2 : array[0..9] of Integer = (2, 6, 7, 8, 9, 17, 27, 29, 30, 32);
type
   PNode = ^Node;
   Node = record
      elem : Integer;
      tail : ^Node
   end;
var
   list1, list2, previous, l1, l2 : PNode;
   first : Node;
   num : Integer;
begin
   previous := @first;
   for num in data1 do
   begin
      previous^.tail := new (PNode);
      previous^.tail^.elem := num;
      previous := previous^.tail
   end;
   previous^.tail := nil;
   list1 := first.tail;
   {Initialization should be a function of data.}
   previous := @first;
   for num in data2 do
   begin
      previous^.tail := new (PNode);
      previous^.tail^.elem := num;
      previous := previous^.tail
   end;
   previous^.tail := nil;
   list2 := first.tail;
   
   {Merge list2 into list1.}
   l1 := list1; l2 := list2;
   first.tail := l1; previous := @first;
   repeat
      if l1^.elem < l2^.elem
      then begin
         previous := l1; l1 := l1^.tail
      end else if l1^.elem = l2^.elem
      then begin
         previous := l1; l1 := l1^.tail; l2 := l2^.tail
      end else begin
         new (previous^.tail);
         previous^.tail^.elem := l2^.elem;
         previous^.tail^.tail := l1;
         previous := previous^.tail; l2 := l2^.tail
      end
   until (l1 = nil) or (l2 = nil);
   list1 := first.tail;
   
   l1 := list1;
   repeat
      Write (l1^.elem, ', ');
      l1 := l1^.tail
   until l1 = nil;
   WriteLn
end.